Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066515 - Move baselines out of the RDMBS and into Cassandra
Summary: Move baselines out of the RDMBS and into Cassandra
Keywords:
Status: NEW
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server, Database, Monitoring, Storage Node
Version: 4.10
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
: RHQ 4.13
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 1077274
TreeView+ depends on / blocked
 
Reported: 2014-02-18 14:54 UTC by John Sanda
Modified: 2014-07-07 16:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1077274 (view as bug list)
Environment:
Last Closed:


Attachments (Terms of Use)

Description John Sanda 2014-02-18 14:54:39 UTC
Description of problem:
Calculating baselines can be a write-intensive operation. With numeric metrics already in Cassandra, we can really take advantage of Cassandra's wide row support in order to efficiently store, retrieve, and calculate baselines. We can also utilize the Time To Live (TTL) feature for expiring old baseline data.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Heiko W. Rupp 2014-05-08 14:42:46 UTC
Bump the target version now that 4.11 is out.

Comment 2 Jay Shaughnessy 2014-07-07 16:54:57 UTC
Bumping to 4.13 due to time constraints


Note You need to log in before you can comment on or make changes to this bug.